Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 997)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -68,23 +68,21 @@
 !
 !-- Allocate required 1D-arrays
-    ALLOCATE( e1d(nzb:nzt+1),    e1d_m(nzb:nzt+1),   e1d_p(nzb:nzt+1), &
-              kh1d(nzb:nzt+1),   kh1d_m(nzb:nzt+1),  km1d(nzb:nzt+1),  &
-              km1d_m(nzb:nzt+1), l_black(nzb:nzt+1), l1d(nzb:nzt+1),   &
-              l1d_m(nzb:nzt+1),  rif1d(nzb:nzt+1),   te_e(nzb:nzt+1),  &
+    ALLOCATE( e1d(nzb:nzt+1),    e1d_p(nzb:nzt+1), &
+              kh1d(nzb:nzt+1),   km1d(nzb:nzt+1),  &
+              l_black(nzb:nzt+1), l1d(nzb:nzt+1),   &
+              rif1d(nzb:nzt+1),   te_e(nzb:nzt+1),  &
               te_em(nzb:nzt+1),  te_u(nzb:nzt+1),    te_um(nzb:nzt+1), &
               te_v(nzb:nzt+1),   te_vm(nzb:nzt+1),    u1d(nzb:nzt+1),   &
-              u1d_m(nzb:nzt+1),  u1d_p(nzb:nzt+1),   v1d(nzb:nzt+1),   &
-              v1d_m(nzb:nzt+1),  v1d_p(nzb:nzt+1) )
+              u1d_p(nzb:nzt+1),  v1d(nzb:nzt+1),   &
+              v1d_p(nzb:nzt+1) )
 
 !
 !-- Initialize arrays
     IF ( constant_diffusion )  THEN
-       km1d   = km_constant
-       km1d_m = km_constant
-       kh1d   = km_constant / prandtl_number
-       kh1d_m = km_constant / prandtl_number
+       km1d = km_constant
+       kh1d = km_constant / prandtl_number
     ELSE
-       e1d = 0.0; e1d_m = 0.0; e1d_p = 0.0
-       kh1d = 0.0; kh1d_m = 0.0; km1d = 0.0; km1d_m = 0.0
+       e1d = 0.0; e1d_p = 0.0
+       kh1d = 0.0; km1d = 0.0
        rif1d = 0.0
 !
@@ -123,10 +121,7 @@
     ENDIF
     l1d   = l_black
-    l1d_m = l_black
     u1d   = u_init
-    u1d_m = u_init
     u1d_p = u_init
     v1d   = v_init
-    v1d_m = v_init
     v1d_p = v_init
 
@@ -136,8 +131,6 @@
 !-- in the initial phase of a run (at k=1, dz/2 occurs in the limiting formula!)
     u1d(0:1)   = 0.1
-    u1d_m(0:1) = 0.1
     u1d_p(0:1) = 0.1
     v1d(0:1)   = 0.1
-    v1d_m(0:1) = 0.1
     v1d_p(0:1) = 0.1
 
@@ -152,6 +145,6 @@
     ENDIF
     ts1d = 0.0
-    usws1d = 0.0; usws1d_m = 0.0
-    vsws1d = 0.0; vsws1d_m = 0.0
+    usws1d = 0.0
+    vsws1d = 0.0
     z01d  = roughness_length
     z0h1d = z0h_factor * z01d 
@@ -226,18 +219,18 @@
           DO  k = nzb_diff, nzt
 
-             kmzm = 0.5 * ( km1d_m(k-1) + km1d_m(k) )
-             kmzp = 0.5 * ( km1d_m(k) + km1d_m(k+1) )
+             kmzm = 0.5 * ( km1d(k-1) + km1d(k) )
+             kmzp = 0.5 * ( km1d(k) + km1d(k+1) )
 !
 !--          u-component
              te_u(k) =  f * ( v1d(k) - vg(k) ) + ( &
-                              kmzp * ( u1d_m(k+1) - u1d_m(k) ) * ddzu(k+1) &
-                            - kmzm * ( u1d_m(k) - u1d_m(k-1) ) * ddzu(k)   &
-                                              ) * ddzw(k)
+                              kmzp * ( u1d(k+1) - u1d(k) ) * ddzu(k+1) &
+                            - kmzm * ( u1d(k) - u1d(k-1) ) * ddzu(k)   &
+                                                 ) * ddzw(k)
 !
 !--          v-component
-             te_v(k) = -f * ( u1d(k) - ug(k) ) + ( &
-                              kmzp * ( v1d_m(k+1) - v1d_m(k) ) * ddzu(k+1) &
-                            - kmzm * ( v1d_m(k) - v1d_m(k-1) ) * ddzu(k)   &
-                                              ) * ddzw(k)
+             te_v(k) = -f * ( u1d(k) - ug(k) ) + (                     &
+                              kmzp * ( v1d(k+1) - v1d(k) ) * ddzu(k+1) &
+                            - kmzm * ( v1d(k) - v1d(k-1) ) * ddzu(k)   &
+                                                 ) * ddzw(k)
           ENDDO
           IF ( .NOT. constant_diffusion )  THEN
@@ -245,6 +238,6 @@
 !
 !--             TKE
-                kmzm = 0.5 * ( km1d_m(k-1) + km1d_m(k) )
-                kmzp = 0.5 * ( km1d_m(k) + km1d_m(k+1) )
+                kmzm = 0.5 * ( km1d(k-1) + km1d(k) )
+                kmzp = 0.5 * ( km1d(k) + km1d(k+1) )
                 IF ( .NOT. humidity )  THEN
                    pt_0 = pt_init(k)
@@ -260,8 +253,8 @@
 !
 !--                According to Detering, c_e=0.064
-                   dissipation = 0.064 * e1d_m(k) * SQRT( e1d_m(k) ) / l1d_m(k)
+                   dissipation = 0.064 * e1d(k) * SQRT( e1d(k) ) / l1d(k)
                 ELSEIF ( dissipation_1d == 'as_in_3d_model' )  THEN
-                   dissipation = ( 0.19 + 0.74 * l1d_m(k) / l_grid(k) ) &
-                                 * e1d_m(k) * SQRT( e1d_m(k) ) / l1d_m(k)
+                   dissipation = ( 0.19 + 0.74 * l1d(k) / l_grid(k) ) &
+                                 * e1d(k) * SQRT( e1d(k) ) / l1d(k)
                 ENDIF
 
@@ -271,8 +264,8 @@
                                     - g / pt_0 * kh1d(k) * flux                &
                                     +            (                             &
-                                 kmzp * ( e1d_m(k+1) - e1d_m(k) ) * ddzu(k+1)  &
-                               - kmzm * ( e1d_m(k) - e1d_m(k-1) ) * ddzu(k)    &
+                                     kmzp * ( e1d(k+1) - e1d(k) ) * ddzu(k+1)  &
+                                   - kmzm * ( e1d(k) - e1d(k-1) ) * ddzu(k)    &
                                                  ) * ddzw(k)                   &
-                               - dissipation
+                                   - dissipation
              ENDDO
           ENDIF
@@ -285,6 +278,6 @@
 
              k = nzb+1
-             kmzm = 0.5 * ( km1d_m(k-1) + km1d_m(k) )
-             kmzp = 0.5 * ( km1d_m(k) + km1d_m(k+1) )
+             kmzm = 0.5 * ( km1d(k-1) + km1d(k) )
+             kmzp = 0.5 * ( km1d(k) + km1d(k+1) )
              IF ( .NOT. humidity )  THEN
                 pt_0 = pt_init(k)
@@ -300,20 +293,20 @@
 !
 !--             According to Detering, c_e=0.064
-                dissipation = 0.064 * e1d_m(k) * SQRT( e1d_m(k) ) / l1d_m(k)
+                dissipation = 0.064 * e1d(k) * SQRT( e1d(k) ) / l1d(k)
              ELSEIF ( dissipation_1d == 'as_in_3d_model' )  THEN
-                dissipation = ( 0.19 + 0.74 * l1d_m(k) / l_grid(k) ) &
-                              * e1d_m(k) * SQRT( e1d_m(k) ) / l1d_m(k)
+                dissipation = ( 0.19 + 0.74 * l1d(k) / l_grid(k) ) &
+                              * e1d(k) * SQRT( e1d(k) ) / l1d(k)
              ENDIF
 
 !
 !--          u-component
-             te_u(k) = f * ( v1d(k) - vg(k) ) + ( &
-                       kmzp * ( u1d_m(k+1) - u1d_m(k) ) * ddzu(k+1) + usws1d_m &
-                                               ) * 2.0 * ddzw(k)
+             te_u(k) = f * ( v1d(k) - vg(k) ) + (                              &
+                       kmzp * ( u1d(k+1) - u1d(k) ) * ddzu(k+1) + usws1d       &
+                                                ) * 2.0 * ddzw(k)
 !
 !--          v-component
-             te_v(k) = -f * ( u1d(k) - ug(k) ) + ( &
-                       kmzp * ( v1d_m(k+1) - v1d_m(k) ) * ddzu(k+1) + vsws1d_m &
-                                           ) * 2.0 * ddzw(k)
+             te_v(k) = -f * ( u1d(k) - ug(k) ) + (                             &
+                       kmzp * ( v1d(k+1) - v1d(k) ) * ddzu(k+1) + vsws1d       &
+                                                 ) * 2.0 * ddzw(k)
 !
 !--          TKE
@@ -323,8 +316,8 @@
                                  - g / pt_0 * kh1d(k) * flux                   &
                                  +           (                                 &
-                              kmzp * ( e1d_m(k+1) - e1d_m(k) ) * ddzu(k+1)     &
-                            - kmzm * ( e1d_m(k) - e1d_m(k-1) ) * ddzu(k)       &
+                                  kmzp * ( e1d(k+1) - e1d(k) ) * ddzu(k+1)     &
+                                - kmzm * ( e1d(k) - e1d(k-1) ) * ddzu(k)       &
                                               ) * ddzw(k)                      &
-                            - dissipation
+                                - dissipation
           ENDIF
 
@@ -333,10 +326,8 @@
           DO  k = nzb+1, nzt
 
-             u1d_p(k) = ( 1. - tsc(1) ) * u1d_m(k) + &
-                        tsc(1) * u1d(k) + dt_1d * ( tsc(2) * te_u(k) + &
-                                                    tsc(3) * te_um(k) ) 
-             v1d_p(k) = ( 1. - tsc(1) ) * v1d_m(k) + &
-                        tsc(1) * v1d(k) + dt_1d * ( tsc(2) * te_v(k) + &
-                                                    tsc(3) * te_vm(k) ) 
+             u1d_p(k) = u1d(k) + dt_1d * ( tsc(2) * te_u(k) + &
+                                           tsc(3) * te_um(k) )
+             v1d_p(k) = v1d(k) + dt_1d * ( tsc(2) * te_v(k) + &
+                                           tsc(3) * te_vm(k) )
 
           ENDDO
@@ -344,7 +335,6 @@
              DO  k = nzb+1, nzt
 
-                e1d_p(k) = ( 1. - tsc(1) ) * e1d_m(k) + &
-                           tsc(1) * e1d(k) + dt_1d * ( tsc(2) * te_e(k) + &
-                                                       tsc(3) * te_em(k) ) 
+                e1d_p(k) = e1d(k) + dt_1d * ( tsc(2) * te_e(k) + &
+                                              tsc(3) * te_em(k) )
 
              ENDDO
@@ -403,34 +393,5 @@
 
 !
-!--       If necessary, apply the time filter
-          IF ( asselin_filter_factor /= 0.0  .AND. &
-               timestep_scheme(1:5) /= 'runge' )  THEN
-
-             u1d = u1d + asselin_filter_factor * ( u1d_p - 2.0 * u1d + u1d_m )
-             v1d = v1d + asselin_filter_factor * ( v1d_p - 2.0 * v1d + v1d_m )
-
-             IF ( .NOT. constant_diffusion )  THEN
-                e1d = e1d + asselin_filter_factor * &
-                            ( e1d_p - 2.0 * e1d + e1d_m )
-             ENDIF
-
-          ENDIF
-
-!
 !--       Swap the time levels in preparation for the next time step.
-          IF ( timestep_scheme(1:4) == 'leap' )  THEN
-             u1d_m  = u1d
-             v1d_m  = v1d
-             IF ( .NOT. constant_diffusion )  THEN
-                e1d_m  = e1d
-                kh1d_m = kh1d  ! The old diffusion quantities are required for
-                km1d_m = km1d  ! explicit diffusion in the leap-frog scheme.
-                l1d_m  = l1d
-                IF ( prandtl_layer )  THEN
-                   usws1d_m = usws1d
-                   vsws1d_m = vsws1d
-                ENDIF
-             ENDIF
-          ENDIF
           u1d  = u1d_p
           v1d  = v1d_p
@@ -696,22 +657,4 @@
           ENDIF   ! .NOT. constant_diffusion
 
-!
-!--       The Runge-Kutta scheme needs the recent diffusion quantities
-          IF ( timestep_scheme(1:5) == 'runge' )  THEN
-             u1d_m  = u1d
-             v1d_m  = v1d
-             IF ( .NOT. constant_diffusion )  THEN
-                e1d_m  = e1d
-                kh1d_m = kh1d
-                km1d_m = km1d
-                l1d_m  = l1d
-                IF ( prandtl_layer )  THEN
-                   usws1d_m = usws1d
-                   vsws1d_m = vsws1d
-                ENDIF
-             ENDIF
-          ENDIF
-
-
        ENDDO   ! intermediate step loop
 
@@ -836,5 +779,5 @@
 
     INTEGER ::  k
-    REAL    ::  div, dt_diff, fac, percent_change, value
+    REAL    ::  div, dt_diff, fac, value
 
 
@@ -842,9 +785,5 @@
 !-- Compute the currently feasible time step according to the diffusion
 !-- criterion. At nzb+1 the half grid length is used.
-    IF ( timestep_scheme(1:4) == 'leap' )  THEN
-       fac = 0.25
-    ELSE
-       fac = 0.35
-    ENDIF
+    fac = 0.35
     dt_diff = dt_max_1d
     DO  k = nzb+2, nzt
@@ -866,71 +805,15 @@
     ENDIF
 
-    IF ( timestep_scheme(1:4) == 'leap' )  THEN
-
-!
-!--    The current time step will only be changed if the new time step exceeds
-!--    its previous value by 5 % or falls 2 % below. After a time step
-!--    reduction at least 30 iterations must be done with this value before a
-!--    new reduction will be allowed again.
-!--    The control parameters for application of Euler- or leap-frog schemes are
-!--    set accordingly.
-       percent_change = dt_1d / old_dt_1d - 1.0
-       IF ( percent_change > 0.05  .OR.  percent_change < -0.02 )  THEN
-
-!
-!--       Each time step increase is by at most 2 %
-          IF ( percent_change > 0.0  .AND.  simulated_time_1d /= 0.0 )  THEN
-             dt_1d = 1.02 * old_dt_1d
-          ENDIF
-
-!
-!--       A more or less simple new time step value is obtained taking only the
-!--       first two significant digits
-          div = 1000.0
-          DO  WHILE ( dt_1d < div )
-             div = div / 10.0
-          ENDDO
-          dt_1d = NINT( dt_1d * 100.0 / div ) * div / 100.0
-
-!
-!--       Now the time step can be changed.
-          IF ( percent_change < 0.0 )  THEN
-!
-!--          Time step reduction
-             old_dt_1d = dt_1d
-             last_dt_change_1d = current_timestep_number_1d
-          ELSE
-!
-!--          Time step will only be increased if at least 30 iterations have
-!--          been done since the previous time step change, and of course at
-!--          simulation start, respectively.
-             IF ( current_timestep_number_1d >= last_dt_change_1d + 30  .OR. &
-                     simulated_time_1d == 0.0 )  THEN
-                old_dt_1d = dt_1d
-                last_dt_change_1d = current_timestep_number_1d
-             ELSE
-                dt_1d = old_dt_1d
-             ENDIF
-          ENDIF
-       ELSE
-!
-!--       No time step change since the difference is too small
-          dt_1d = old_dt_1d
-       ENDIF
-
-    ELSE    ! Runge-Kutta
-
-!--    A more or less simple new time step value is obtained taking only the
-!--    first two significant digits
-       div = 1000.0
-       DO  WHILE ( dt_1d < div )
-          div = div / 10.0
-       ENDDO
-       dt_1d = NINT( dt_1d * 100.0 / div ) * div / 100.0
-
-       old_dt_1d = dt_1d
-       last_dt_change_1d = current_timestep_number_1d
-
-    ENDIF
+!
+!-- A more or less simple new time step value is obtained taking only the
+!-- first two significant digits
+    div = 1000.0
+    DO  WHILE ( dt_1d < div )
+       div = div / 10.0
+    ENDDO
+    dt_1d = NINT( dt_1d * 100.0 / div ) * div / 100.0
+
+    old_dt_1d = dt_1d
+
 
  END SUBROUTINE timestep_1d
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 997)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1001)
@@ -7,5 +7,5 @@
 ! Current revisions:
 ! ------------------
-!
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -225,23 +225,10 @@
     ALLOCATE( ptdf_x(nxlg:nxrg), ptdf_y(nysg:nyng) )
 
-    ALLOCATE( rif_1(nysg:nyng,nxlg:nxrg), shf_1(nysg:nyng,nxlg:nxrg), &
-              ts(nysg:nyng,nxlg:nxrg), tswst_1(nysg:nyng,nxlg:nxrg),  &
-              us(nysg:nyng,nxlg:nxrg), usws_1(nysg:nyng,nxlg:nxrg),   &
-              uswst_1(nysg:nyng,nxlg:nxrg),                           &
-              vsws_1(nysg:nyng,nxlg:nxrg),                            &
-              vswst_1(nysg:nyng,nxlg:nxrg), z0(nysg:nyng,nxlg:nxrg),  &
+    ALLOCATE( rif(nysg:nyng,nxlg:nxrg), shf(nysg:nyng,nxlg:nxrg),     &
+              ts(nysg:nyng,nxlg:nxrg), tswst(nysg:nyng,nxlg:nxrg),    &
+              us(nysg:nyng,nxlg:nxrg), usws(nysg:nyng,nxlg:nxrg),     &
+              uswst(nysg:nyng,nxlg:nxrg), vsws(nysg:nyng,nxlg:nxrg),  &
+              vswst(nysg:nyng,nxlg:nxrg), z0(nysg:nyng,nxlg:nxrg),    &
               z0h(nysg:nyng,nxlg:nxrg) )
-
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-!
-!--    Leapfrog scheme needs two timelevels of diffusion quantities
-       ALLOCATE( rif_2(nysg:nyng,nxlg:nxrg),   &
-                 shf_2(nysg:nyng,nxlg:nxrg),   &
-                 tswst_2(nysg:nyng,nxlg:nxrg), &
-                 usws_2(nysg:nyng,nxlg:nxrg),  &
-                 uswst_2(nysg:nyng,nxlg:nxrg), &
-                 vswst_2(nysg:nyng,nxlg:nxrg), &
-                 vsws_2(nysg:nyng,nxlg:nxrg) )
-    ENDIF
 
     ALLOCATE( d(nzb+1:nzta,nys:nyna,nxl:nxra),     &
@@ -249,6 +236,6 @@
               e_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),  &
               e_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),  &
-              kh_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
-              km_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
+              kh(nzb:nzt+1,nysg:nyng,nxlg:nxrg),   &
+              km(nzb:nzt+1,nysg:nyng,nxlg:nxrg),   &
               p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),    &
               pt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
@@ -278,20 +265,11 @@
     ENDIF
 
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       ALLOCATE( kh_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
-                 km_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-    ENDIF
-
     IF ( humidity  .OR.  passive_scalar ) THEN
 !
 !--    2D-humidity/scalar arrays
-       ALLOCATE ( qs(nysg:nyng,nxlg:nxrg),     &
-                  qsws_1(nysg:nyng,nxlg:nxrg), &
-                  qswst_1(nysg:nyng,nxlg:nxrg) )
-
-       IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-          ALLOCATE( qsws_2(nysg:nyng,nxlg:nxrg), &
-                    qswst_2(nysg:nyng,nxlg:nxrg) )
-       ENDIF
+       ALLOCATE ( qs(nysg:nyng,nxlg:nxrg),   &
+                  qsws(nysg:nyng,nxlg:nxrg), &
+                  qswst(nysg:nyng,nxlg:nxrg) )
+
 !
 !--    3D-humidity/scalar arrays
@@ -304,8 +282,4 @@
        IF ( humidity )  THEN
           ALLOCATE( vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-
-          IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-             ALLOCATE( vpt_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-          ENDIF
 
           IF ( cloud_physics ) THEN
@@ -334,6 +308,6 @@
 
     IF ( ocean )  THEN
-       ALLOCATE( saswsb_1(nysg:nyng,nxlg:nxrg), &
-                 saswst_1(nysg:nyng,nxlg:nxrg) )
+       ALLOCATE( saswsb(nysg:nyng,nxlg:nxrg), &
+                 saswst(nysg:nyng,nxlg:nxrg) )
        ALLOCATE( prho_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
                  rho_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),  &
@@ -434,70 +408,24 @@
 !
 !-- Initial assignment of the pointers
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-
-       rif_m   => rif_1;    rif   => rif_2
-       shf_m   => shf_1;    shf   => shf_2
-       tswst_m => tswst_1;  tswst => tswst_2
-       usws_m  => usws_1;   usws  => usws_2
-       uswst_m => uswst_1;  uswst => uswst_2
-       vsws_m  => vsws_1;   vsws  => vsws_2
-       vswst_m => vswst_1;  vswst => vswst_2
-       e_m  => e_1;   e  => e_2;   e_p  => e_3;   te_m  => e_3
-       kh_m => kh_1;  kh => kh_2
-       km_m => km_1;  km => km_2
-       pt_m => pt_1;  pt => pt_2;  pt_p => pt_3;  tpt_m => pt_3
-       u_m  => u_1;   u  => u_2;   u_p  => u_3;   tu_m  => u_3
-       v_m  => v_1;   v  => v_2;   v_p  => v_3;   tv_m  => v_3
-       w_m  => w_1;   w  => w_2;   w_p  => w_3;   tw_m  => w_3
-
-       IF ( humidity  .OR.  passive_scalar )  THEN
-          qsws_m  => qsws_1;   qsws  => qsws_2
-          qswst_m => qswst_1;  qswst => qswst_2
-          q_m    => q_1;     q    => q_2;     q_p => q_3;     tq_m => q_3
-          IF ( humidity )        vpt_m  => vpt_1;   vpt  => vpt_2
-          IF ( cloud_physics )   ql   => ql_1
-          IF ( cloud_droplets )  THEN
-             ql   => ql_1
-             ql_c => ql_2
-          ENDIF
-       ENDIF
-
-    ELSE
-
-       rif   => rif_1
-       shf   => shf_1
-       tswst => tswst_1
-       usws  => usws_1
-       uswst => uswst_1
-       vsws  => vsws_1
-       vswst => vswst_1
-       e     => e_1;   e_p  => e_2;   te_m  => e_3;   e_m  => e_3
-       kh    => kh_1
-       km    => km_1
-       pt    => pt_1;  pt_p => pt_2;  tpt_m => pt_3;  pt_m => pt_3
-       u     => u_1;   u_p  => u_2;   tu_m  => u_3;   u_m  => u_3
-       v     => v_1;   v_p  => v_2;   tv_m  => v_3;   v_m  => v_3
-       w     => w_1;   w_p  => w_2;   tw_m  => w_3;   w_m  => w_3
-
-       IF ( humidity  .OR.  passive_scalar )  THEN
-          qsws   => qsws_1
-          qswst  => qswst_1
-          q      => q_1;     q_p  => q_2;     tq_m  => q_3;    q_m => q_3
-          IF ( humidity )        vpt  => vpt_1
-          IF ( cloud_physics )   ql   => ql_1
-          IF ( cloud_droplets )  THEN
-             ql   => ql_1
-             ql_c => ql_2
-          ENDIF
-       ENDIF
-
-       IF ( ocean )  THEN
-          saswsb => saswsb_1
-          saswst => saswst_1
-          sa     => sa_1;    sa_p => sa_2;    tsa_m => sa_3
-       ENDIF
-
-    ENDIF
-    
+    e  => e_1;   e_p  => e_2;   te_m  => e_3
+    pt => pt_1;  pt_p => pt_2;  tpt_m => pt_3
+    u  => u_1;   u_p  => u_2;   tu_m  => u_3
+    v  => v_1;   v_p  => v_2;   tv_m  => v_3
+    w  => w_1;   w_p  => w_2;   tw_m  => w_3
+
+    IF ( humidity  .OR.  passive_scalar )  THEN
+       q => q_1;  q_p => q_2;  tq_m => q_3
+       IF ( humidity )        vpt  => vpt_1
+       IF ( cloud_physics )   ql   => ql_1
+       IF ( cloud_droplets )  THEN
+          ql   => ql_1
+          ql_c => ql_2
+       ENDIF
+    ENDIF
+
+    IF ( ocean )  THEN
+       sa => sa_1;  sa_p => sa_2;  tsa_m => sa_3
+    ENDIF
+
 !
 !-- Allocate arrays containing the RK coefficient for calculation of 
@@ -785,5 +713,4 @@
                 ENDIF
              ENDIF
-             IF ( ASSOCIATED( shf_m ) )  shf_m = shf
           ENDIF
 
@@ -806,5 +733,4 @@
                    ENDDO
                 ENDIF
-                IF ( ASSOCIATED( qsws_m ) )  qsws_m = qsws
              ENDIF
           ENDIF
@@ -822,10 +748,6 @@
 !--          Heat flux is prescribed
              tswst = top_heatflux
-             IF ( ASSOCIATED( tswst_m ) )  tswst_m = tswst
-
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                qswst = 0.0
-                IF ( ASSOCIATED( qswst_m ) )  qswst_m = qswst
-             ENDIF
+
+             IF ( humidity  .OR.  passive_scalar )  qswst = 0.0
 
              IF ( ocean )  THEN
@@ -839,5 +761,4 @@
           IF ( coupling_mode == 'ocean_to_atmosphere' )  THEN
              tswst = 0.0
-             IF ( ASSOCIATED( tswst_m ) )  tswst_m = tswst
           ENDIF
 
@@ -859,12 +780,8 @@
 !--          value in the course of the first few time steps.
              shf   = 0.0
-             IF ( ASSOCIATED( shf_m ) )  shf_m = 0.0
           ENDIF
 
           IF ( humidity  .OR.  passive_scalar )  THEN
-             IF ( .NOT. constant_waterflux )  THEN
-                qsws   = 0.0
-                IF ( ASSOCIATED( qsws_m ) )   qsws_m = 0.0
-             ENDIF
+             IF ( .NOT. constant_waterflux )  qsws   = 0.0
           ENDIF
 
@@ -923,16 +840,10 @@
 !
 !--    Initialize old and new time levels.
-       IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-          e_m = e; pt_m = pt; u_m = u; v_m = v; w_m = w; kh_m = kh; km_m = km
-       ELSE
-          te_m = 0.0; tpt_m = 0.0; tu_m = 0.0; tv_m = 0.0; tw_m = 0.0
-       ENDIF
+       te_m = 0.0; tpt_m = 0.0; tu_m = 0.0; tv_m = 0.0; tw_m = 0.0
        e_p = e; pt_p = pt; u_p = u; v_p = v; w_p = w
 
        IF ( humidity  .OR.  passive_scalar )  THEN
-          IF ( ASSOCIATED( q_m ) )  q_m = q
-          IF ( timestep_scheme(1:5) == 'runge' )  tq_m = 0.0
+          tq_m = 0.0
           q_p = q
-          IF ( humidity  .AND.  ASSOCIATED( vpt_m ) )  vpt_m = vpt
        ENDIF
 
@@ -1080,40 +991,17 @@
 !--       Other scalars (pt, q, s, km, kh, p, sa, ...) are ignored at present,
 !--       maybe revise later.
-          IF ( timestep_scheme(1:5) == 'runge' )  THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   u  (nzb:nzb_u_inner(j,i),j,i)   = 0.0
-                   v  (nzb:nzb_v_inner(j,i),j,i)   = 0.0
-                   w  (nzb:nzb_w_inner(j,i),j,i)   = 0.0
-                   e  (nzb:nzb_w_inner(j,i),j,i)   = 0.0
-                   u_m(nzb:nzb_u_inner(j,i),j,i)   = 0.0
-                   v_m(nzb:nzb_v_inner(j,i),j,i)   = 0.0
-                   w_m(nzb:nzb_w_inner(j,i),j,i)   = 0.0
-                   e_m(nzb:nzb_w_inner(j,i),j,i)   = 0.0
-                   tu_m(nzb:nzb_u_inner(j,i),j,i)  = 0.0
-                   tv_m(nzb:nzb_v_inner(j,i),j,i)  = 0.0
-                   tw_m(nzb:nzb_w_inner(j,i),j,i)  = 0.0
-                   te_m(nzb:nzb_w_inner(j,i),j,i)  = 0.0
-                   tpt_m(nzb:nzb_w_inner(j,i),j,i) = 0.0
-                ENDDO
-             ENDDO
-          ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   u  (nzb:nzb_u_inner(j,i),j,i) = 0.0
-                   v  (nzb:nzb_v_inner(j,i),j,i) = 0.0
-                   w  (nzb:nzb_w_inner(j,i),j,i) = 0.0
-                   e  (nzb:nzb_w_inner(j,i),j,i) = 0.0
-                   u_m(nzb:nzb_u_inner(j,i),j,i) = 0.0
-                   v_m(nzb:nzb_v_inner(j,i),j,i) = 0.0
-                   w_m(nzb:nzb_w_inner(j,i),j,i) = 0.0
-                   e_m(nzb:nzb_w_inner(j,i),j,i) = 0.0
-                   u_p(nzb:nzb_u_inner(j,i),j,i) = 0.0
-                   v_p(nzb:nzb_v_inner(j,i),j,i) = 0.0
-                   w_p(nzb:nzb_w_inner(j,i),j,i) = 0.0
-                   e_p(nzb:nzb_w_inner(j,i),j,i) = 0.0
-                ENDDO
-             ENDDO
-          ENDIF
+          DO  i = nxlg, nxrg
+             DO  j = nysg, nyng
+                u  (nzb:nzb_u_inner(j,i),j,i)   = 0.0
+                v  (nzb:nzb_v_inner(j,i),j,i)   = 0.0
+                w  (nzb:nzb_w_inner(j,i),j,i)   = 0.0
+                e  (nzb:nzb_w_inner(j,i),j,i)   = 0.0
+                tu_m(nzb:nzb_u_inner(j,i),j,i)  = 0.0
+                tv_m(nzb:nzb_v_inner(j,i),j,i)  = 0.0
+                tw_m(nzb:nzb_w_inner(j,i),j,i)  = 0.0
+                te_m(nzb:nzb_w_inner(j,i),j,i)  = 0.0
+                tpt_m(nzb:nzb_w_inner(j,i),j,i) = 0.0
+             ENDDO
+          ENDDO
 
        ENDIF
@@ -1135,9 +1023,7 @@
 !--    have to be predefined here because they are used (but multiplied with 0)
 !--    there before they are set. 
-       IF ( timestep_scheme(1:5) == 'runge' )  THEN
-          te_m = 0.0; tpt_m = 0.0; tu_m = 0.0; tv_m = 0.0; tw_m = 0.0
-          IF ( humidity  .OR.  passive_scalar )  tq_m = 0.0
-          IF ( ocean )  tsa_m = 0.0
-       ENDIF
+       te_m = 0.0; tpt_m = 0.0; tu_m = 0.0; tv_m = 0.0; tw_m = 0.0
+       IF ( humidity  .OR.  passive_scalar )  tq_m = 0.0
+       IF ( ocean )  tsa_m = 0.0
 
     ELSE
@@ -1424,6 +1310,4 @@
           shf(:,:) = canopy_heat_flux(0,:,:)
 
-          IF ( ASSOCIATED( shf_m ) )  shf_m = shf
-
        ENDIF
 
@@ -1477,5 +1361,5 @@
        weight_pres(2)    = 1./2.        
 
-    ELSE                                     ! for Euler- and leapfrog-method
+    ELSE                                     ! for Euler-method
 
        weight_substep(1) = 1.0      
